Windows Media Load Simulator

Organizations are building high-capacity servers and server clusters to serve the increasing demand for streaming media. Before these systems are put into production, the servers should be load-tested with Microsoft Windows Media Load Simulator version 4.0 to determine how many users can be served and to verify system stability. Windows Media Load Simulator creates a real-world load on a server by simulating Microsoft Windows Media Player connections; the load-test results on the server can be viewed in a log. Windows Media Load Simulator is designed to run on one or more client computers to simulate a large number of client requests. If you cluster your Windows Media servers for greater scalability and availability, then Windows Media Load Simulator should be run against each individual server in the cluster.

© 1999 Microsoft Corporation. All rights reserved.


Windows Media Load Simulator overview

Windows Media Load Simulator must be installed on a client machine and is intended to test the capacity of the Windows Media Unicast Service on a Windows Media server. The load simulator simulates a high client demand by initiating a large number of client requests for streams to potentially overwhelm the system and network resources of your site. Each instance of Windows Media Load Simulator can request streams for up to 200 simulated clients. To create an even larger demand on the Windows Media server, you can run multiple instances of Windows Media Load Simulator on a single client machine or on multiple client machines against the same Windows Media server. For example, is you want to determine if your Windows Media server can handle 1,000 client requests for unicast content, you can run five instances of Windows Media Load Simulator, each configured to simulate 200 clients, on one client machine. Or you can run a single instance of Windows Media Load Simulator, each configured to simulate 200 clients, on five client machines

Windows Media Load Simulator also allows you to create user names and passwords for the simulated clients. The Windows Media server must process this information and authenticate each user, which consumes even more server resources. Windows Media Load Simulator supports authentication using Basic User Authentication and Windows NTLM on the Windows Media server. For more information, see To set server authentication.

Note Windows Media Load Simulator only initiates unicast connections to the server. Multicast connections are not supported because a client does not connect to the server to view a multicast.


System requirements

Windows Media Load Simulator can be run on Microsoft Windows NT Workstation version 4.0 with Service Pack 4 (SP4) and can be used to test only a server running Microsoft Windows Media Services version 4.0 that uses an Intel processor. The following hardware and software configuration is recommended for a Windows Media Load Simulator client:

  • Windows NT Workstation 4.0 with SP4 or later

  • Pentium II 266 megahertz (MHz) or higher

  • 64 megabytes (MB) of memory

  • 10 MB of free disk space for the application and for log file storage

  • 100 MB Fast Ethernet connection

  • Microsoft Windows Media Player version 6.2 or later installed

In addition, the Windows Media server that you want to test must have a valid Advanced Streaming Format (.asf) file named WMLoad.asf stored in its home publishing point (usually SystemDrive\ASFRoot). Windows Media Load Simulator cannot access the server if this file is not present. For more information see Enabling the Windows Media server for load-testing.


Quick start

Windows Media Load Simulator is equipped with a Configuration Wizard to help you set the test parameters for load-testing a Windows Media server. To launch the Windows Media Load Simulator Configuration Wizard, click New on the File menu in the load simulator. The wizard also launches after you install the load simulator. Click Help on each screen of the wizard for instructions on how to configure the settings for that screen.

To quickly configure a load test in Windows Media Load Simulator, perform the following tasks:

  1. Enable the Windows Media server for load-testing.

    Store a valid .asf file named WMLoad.asf in the home publishing point (usually SystemDrive\ASFRoot) on the Windows Media server that you want to test.

    For more information, see Enabling the Windows Media server for load-testing.

  2. Specify the Windows Media server to be tested.

    On the Specify Server screen, type the name of the Windows Media server to be tested in Server name. It is recommended that you use a fully qualified domain name system (DNS) name for the server (for example, server.company.com).

    For more information, see To specify the Windows Media server to be load-tested.

  3. Specify the content to be used for simulation.

    On the Specify Source screen, type the name of a file that can be streamed by the Windows Media server in New Stream, click Add, and then click Finish.

    For more information, see To specify stream sources for a load test.

Note When you click Finish, the rest of the Configuration Wizard is skipped and default values are entered into the remaining test parameters that you do not set. For more information about setting the remaining test parameters in the Configuration Wizard, see Configuring Windows Media Load Simulator.

  4. Start Windows Media Load Simulator.

    In Windows Media Load Simulator, on the Simulation menu, click Start testing.

The load simulator creates a unicast connection to the content you specified for a simulated client. The simulated client streams the content until you stop the load test.


Configuring Windows Media Load Simulator

The following procedures are used to configure a load test using the Settings command on the Tools menu in Windows Media Load Simulator. You can also use these procedures to configure the settings in the Windows Media Load Simulator Configuration Wizard. If you use the Configuration Wizard, click Finish at any time. The settings on the wizard screens that you do not configure are set to default values. The procedure for saving your load-test configuration is also provided.

  • To specify the Windows Media server to be load-tested

  • To specify stream sources for a load test

  • To create simulated clients

  • To set server authentication

  • To set the load-test duration

  • To log load-test results

  • To save a load-test configuration


To specify the Windows Media server to be load-tested

  1. On the Tools menu, click Settings.

  2. On the Server Name tab, type the name of the server that you want to load-test in Server name. It is recommended that you use a fully qualified domain name system (DNS) name for the server (for example, server.company.com).

Note You cannot run one instance of Windows Media Load Simulator to test a server cluster. Instead, you must run at least one instance of Windows Media Load Simulator on each server in the cluster.


To specify stream sources for a load test

  1. On the Tools menu, click Settings.

  2. On the Sources tab, type the file name of the streaming media file that you want to test in New Stream.

    Any file that can be streamed by a Windows Media server can be used as a stream source for Windows Media Load Simulator, including Advanced Streaming Format files (.asf), Windows Media Audio files (.wma), WAV Audio files (.wav), and MPEG 1 Layer 3 audio files (.mp3). The source files you use for load-testing must be stored in the home publishing point (usually SystemDrive\ASFRoot) of the Windows Media server that you are testing.

  3. Select the streaming protocol for the source file in Protocol List.

    The simulated client streams the file using the Microsoft Media Server protocol (MMS protocol) by default. You can also select the MMS protocol combined with the UDP data transport (MMSU) or the MMS protocol combined with the TCP data transport (MMST). If you select HTTP, the Windows Media server that you are load-testing must be configured to stream via HTTP.

    Note The Windows Media server will attempt protocol rollover if the simulated client uses the MMS protocol to request a stream. When the simulated client requests a stream using MMS, the Windows Media server attempts to stream the content via MMSU. If that protocol fails, the server first attempts to stream the content via MMST. If that fails, the server then attempts to use HTTP, if it has been enabled.

  4. Click Add.

    The stream (in the form protocol://server_name/stream) appears in the Selected Play List. The simulated client streams the content from the home publishing point on the Windows Media server.

Note Repeat steps 1 through 4 to add additional source files to the play list before proceeding to step 5.

  5. Click Random or Sequential to assign streams in the list to simulated clients at random or sequentially.

    If you choose Random, any stream source in the Selected Play List is assigned to a simulated client when it requests a stream. If you choose Sequential, the next stream source in the Selected Play List that is available for assignment is assigned to a simulated client when it requests a stream. Sequential stream assignment occurs in the same order that the stream sources are listed in the Selected Play List.

Note To remove a stream from the Selected Play List, click the stream in the list, and then click Remove.


To create simulated clients

  1. On the Tools menu, click Settings.

  2. On the Client Profiles tab, create simulated clients by typing a number in one or more of the six client profiles. One Long Play Client is configured by default.

    Each client is assigned a single entry from the selected play list to stream. Assignments are made either at random or sequentially (depending on the Stream List Usage setting) via the protocol you selected (on the Protocol List setting) on the Sources tab. When a simulated client closes, it is assigned another stream unless the test duration has expired. For more information, see To set the load-test duration.

    Simulated clients stream the source content according to their profile settings in Windows Media Load Simulator:

    • Browse. Clients in this profile simulate browsing users. They play for random lengths of time, seek, stop, pause, and sometimes close.

    • Play. Clients in this profile play entire streams from start to finish.

    • Seek. Clients in this profile attempt to seek forward and backward in a stream. The stream must be indexed for the seek function to be successful.

    • Open/Close. Clients in this profile open a stream and then close before playing it.

    • Random Bit Rate. Clients in this profile stream multiple bit rate content at a random bit rate. The content must be encoded to multiple bit rates with Windows Media Encoder, a feature of Microsoft Windows Media Tools version 4.0.

    • Fixed Bit Rate. Clients in this profile stream multiple bit rate content at a bit rate that you select in Bytes per second. The bit rate you select is fixed and cannot be changed. To simulate multiple bit rates, you must run multiple instances of Windows Media Load Simulator and select different bit rates for each one. The content must be encoded to multiple bit rates with Windows Media Encoder, a feature of Windows Media Tools 4.0.

Note You cannot assign more than 200 clients across all client profiles. To create more than 200 simulated clients, you must run another instance of Windows Media Load Simulator.

  3. (Optional) To limit the maximum rate at which the simulated clients connect to the Windows Media server, select Max Connected Rate. When this option is selected, Windows Media Load Simulator will connect up to two clients to the server every second by default. You can increase the maximum client connection rate by typing a new value in Clients per second. The maximum client connection rate is limited by the value you type in Clients per second or by the client connection rate specified on the Windows Media server, whichever is lower.

Note If you type a value for Clients per second that exceeds the client connection rate value that is set for the Windows Media server, the server may drop clients. By default, the Windows Media server allows up to 25 clients to connect every second. For more information, see Configuring the client connection rate in a Windows Media server in the online help for Microsoft Windows Media Administrator.


To set server authentication

You can simulate additional load on the Windows Media server by forcing it to authenticate any number of users that you specify. It takes additional server resources to authenticate each user; therefore, adding user authentication to the load test stresses the server being tested even more. To set up user authentication for the simulated clients, you must create user names and passwords for the simulated clients in Windows Media Load Simulator. Then you must activate user authentication on the Windows Media server that you are load-testing.

In Windows Media Load Simulator:

  1. On the Tools menu, click Settings.

  2. On the Authentication tab, select Test Server Authentication.

  3. In First User, enter a number.

    The user name for this user is UserNumber and the password for this user is PasswordNumber, where Number is the value you typed in First User.

  4. In Number of users, enter the number of users that you want the server to authenticate.

    Each user has a user name and password that begins with UserNumber and PasswordNumber and increases in increments of one for each user you enter in Number of users.

Note It is recommended that you enter a value for Number of users that you estimate the server will have to authenticate in real-world conditions.

In Windows Media Administrator:

  1. In the Windows Media Administrator menu frame, click the down arrow to display the Windows Media server list, and then click the server that you want to load-test.

    If the server you want to load-test is not displayed, or no servers are displayed, click Add Server, and then add the server to the list.

  2. Click Server Properties.

    The Server Properties page appears. The content on the General tab appears by default.

  3. Click the Publishing Point Security tab.

  4. From the Authentication Packages list, select HTTP- Basic Authentication and NTLM Account Database.

  5. Click Apply.

  6. Restart the Windows Media Unicast Service on the Windows Media server to activate authentication. For more information, see To restart the Windows Media Unicast Service in the online help for Windows Media Administrator.

  7. On the Windows Media server, create user accounts for the simulated clients to be authenticated and set sharing permissions so that Everyone has at least Read rights to the streams that are used for the load test.


To set the load-test duration

  1. On the Tools menu, click Settings.

  2. On the Duration tab, select the simulation duration.
    • Select Indefinite if you want the load test to run until you stop it. This option is set by default.

      - or -

    • Select Time Interval and enter the length of time you want the load test to run in hours:minutes:seconds (hh:mm:ss).
  3. (Optional) Select Stop After and type the number of errors you want Windows Media Load Simulator or Windows NT Performance Counter to record before the load simulator stops the load test. For more information, see To log load-test results.

Note You can select both Indefinite or Time Interval and Stop After. Load-testing ceases when either the load test duration expires or the error limit you specify is reached, whichever occurs first.


To log load-test results

  1. On the Tools menu, click Settings.

  2. On the Logging tab, click Load Simulator log file to save the test results generated by Windows Media Load Simulator or click Performance Monitor log file to save a report generated by Windows NT Performance Monitor.

    Note If you select Performance Monitor log file, performance counter values are captured and recorded in the log at an interval you specify in Performance Monitor’s periodic update interval. The default value is five seconds. You can set this interval anywhere in the range from one second to 30 seconds. For more information about the performance counters that are logged, see Analyzing the Performance Monitor log file.

  3. Specify a location where the log files are stored, or accept the default log file locations.

    Load-testing results are stored in a comma-delimited (CSV) file (a file that contains columns of data separated by commas and rows of data ending in carriage returns) that can be viewed in Microsoft Excel. By default, the log files are stored in the following locations on the computer that is running Windows Media Load Simulator:

    • The Windows Media Load Simulator log file is stored in SystemDrive\Program Files\Windows Media Components\WMLoad\ServerWMLog.csv, where Server is the name of the Windows Media server that is being load-tested.

    • The Performance Monitor log file is stored in SystemDrive\Program Files\Windows Media Components\WMLoad\ServerWMLog.csv, where Server is the name of the Windows Media server that is being load-tested.

Notes

Each new load test replaces the existing log unless you change the file name for the log.

If you pause or stop a load test, then restart it, the existing log will continue to accumulate test results after restart.

If you run multiple instances of Windows Media Load Simulator on one computer and enable logging, be sure that the load-test results for each load simulator are logged to a unique log file.

Related Topics

  • Analyzing load-test results


To save a load-test configuration

After you configure Windows Media Load Simulator to load-test a Windows Media server, you can save the load-test configuration settings in a load simulator project file. This file is a text file with a BTS extension.

Note You must save the load-test configuration settings while they are loaded in Windows Media Load Simulator. You can do this either before you start the load test or after it finishes.

  1. On the File menu, click Save or Save As.

  2. In File name, type a name for the Windows Media Load Simulator project file and click Save.

Related Topics

  • Editing load-test configuration settings

  • Running a saved load-test configuration


Using Windows Media Load Simulator security features

Windows Media Load Simulator contains several features that can help you prevent or detect unauthorized use of the application against a Windows Media server that is in active service on your intranet or on the Internet. These features are not meant to replace the normal security features that are available to you in Windows Media Services version 4.0 or Microsoft Windows NT 4.0.

Related Topics

  • Enabling the Windows Media server for load-testing

  • Detecting unauthorized load-testing on the Windows Media server


Enabling the Windows Media server for load-testing

A Windows Media server must be enabled for load-testing before Windows Media Load Simulator can initiate simulated client connections to the server. You enable the Windows Media server for load-testing by placing an .asf file named WMLoad.asf in the home publishing point on the Windows Media server (usually SystemDrive\ASFRoot). You can create a WMLoad.asf file with Windows Media Encoder or Windows Media On-Demand Producer, or you can rename one of the existing .asf files in the ASFRoot folder to WMLoad.asf. Windows Media Load Simulator cannot access the Windows Media server if this file is not present.

Important Note After load-testing is completed on the server but before the server is placed into service, WMLoad.asf should be removed from the home publishing point or its file name should be changed, so that unauthorized users cannot use the load simulator to maliciously launch stream requests against the server.

One example of a malicious use of Windows Media Load Simulator is a denial-of-service attack. If a Windows Media server that is enabled for load-testing is actively streaming Windows Media content to clients on your intranet or on the Internet, an unauthorized user potentially can use the load simulator to initiate many simulated client connections to the server, thereby degrading the quality of streams viewed by your clients or even preventing your clients from accessing the Windows Media server.


Detecting unauthorized load-testing on the Windows Media server

A user is required to provide an e-mail address during installation of Windows Media Load Simulator. The load simulator cannot be installed without this information. This installation requirement provides a method for the user to identify themselves during the testing process; however, the e-mail address is not guaranteed to be correct.

If you enable logging for unicast clients on the Windows Media server while it is in service, this e-mail address will appear in the cs-uri-stem field in the unicast client information log when the user runs Windows Media Load Simulator against the server. This e-mail address appears in the log entries that indicate the beginning of a load test, for example:

cs-uri-stem

mms://154.53.219.121/wmload_client&email=user@company.com&version=4.0
&guid=guid_number

The following information is present in the cs-uri-stem entry.

  • email=user@company.com

    The e-mail address entered during installation of the Windows Media Load Simulator that is load-testing the server. The e-mail address is not guaranteed to be correct.

  • version=4.0

    The version of Windows Media Load Simulator.

  • Guid=guid_number

    Globally unique identifier (GUID) generated by Windows Media Load Simulator. Another Windows Media Load Simulator running simultaneously on the same client machine will generate a different GUID.

For more information about logging unicast client information on the Windows Media server, see Logging unicast client information in the online help for Windows Media Administrator.


Using Windows Media Load Simulator advanced features

The following topics are advanced features in the Windows Media Load Simulator tool. These features are not required to run a load-test on the Windows Media server; however, they are useful for analyzing load-test results, saving and editing load-test configuration settings, or running Windows Media Load Simulator from the command line.

  • Saving your load-test configuration

  • Viewing load-test statistics

  • Analyzing load-test results

  • Editing load-test configuration settings

  • Running a saved load-test configuration


Saving your load-test configuration

After you configure the settings in Windows Media Load Simulator, you can save the test configuration settings to a Windows Media Load Simulator projects file for later use. The file is a text file that is saved with a BTS extension to SystemDrive\Program Files\Windows Media Components\WMLoad or to another location that you specify. For instructions about how to save your test configuration, see To save a load-test configuration.


Viewing load-test statistics

Windows Media Load Simulator displays the following statistics in the Statistics box while a load test is running.

Statistic | Description
Open Streams | Total number of stream source files that are open in all simulated clients.
Clients Playing | Total number of simulated clients that are actively streaming content at standard playback rate.
Clients Seeking | Total number of simulated Seek clients that are actively streaming content.
Total Bandwidth (Kbps) | Aggregate rate at which all simulated clients are streaming content from the server (in kilobits per second).
Bytes Received | Cumulative number of bytes received by all simulated clients.
Packets Received | Cumulative number of packets received by all simulated clients from the server.
Packets Lost | Cumulative number of packets that all simulated clients have detected as missing from streams that they are receiving.
Test Errors | Cumulative number of test errors recorded in the Test Transactions window in the load simulator (and recorded in the Windows Media Load Simulator log file if logging is enabled).
Test Duration | Elapsed time since the load test started.


Analyzing load-test results

Load-test results can be logged to a Windows Media Load Simulator log file or to a Performance Monitor log file in Windows NT. These log files are comma-delimited CSV files that can be viewed by Microsoft Excel. You can select one or both of these logging applications to be enabled. For instructions about how to enable logging, see To log load-test results.

Related Topics

  • Analyzing the Windows Media Load Simulator log file

  • Analyzing the Performance Monitor log file


Analyzing the Windows Media Load Simulator log file

The Windows Media Load Simulator log file is stored in SystemDrive\Program Files\Windows Media Components\WMLoad\ServerWMLog.csv on the computer running Windows Media Load Simulator, where Server is the name of the Windows Media server that is being load-tested. The load simulator log file captures the following information.

Logging fields | Description | Sample value
Date | Date of operation. | 04/05/99
Time | Time of log entry. | 20:24:03
Client ID | Simulated client ID generated by Windows Media Load Simulator. | 00790E80
Operation | Client operation being performed. | LongPlay
Error Code | Error (in hexadecimal). | 0xC00D001A
Error Text | Expanded from hex error code. | The system cannot find the file specified.

The last entry in a Windows Media Load Simulator log file summarizes the load-test statistics. This summary is presented in the following format in the log file:

Total Clients:<Total Clients>,Open Streams:<Open Streams>,Clients
Playing:<Clients Playing>,Clients Striding:<Clients Striding>,Packets
Received:<Packets Received>,Erasures Detected:<Erasures Detected>,Test
Errors:<Test Errors>,Elapsed Time:<Elapsed Time>,Bytes Received:<Bytes
Received>

The load-test statistics that are recorded in the log file can be viewed in the Statistics box in Windows Media Load Simulator as they accumulate during a load test. For more information about each statistic recorded by the load simulator, see Viewing load-test statistics.


Analyzing the Performance Monitor log file

In Windows Media Load Simulator, you can query Windows NT Performance Monitor counters on the Windows Media server that is being load-tested. You can also specify how often values for each performance counter are captured and a location for the results to be stored in. By default, the Performance Monitor log file is stored in SystemDrive\Program Files\Windows Media Components\WMLoad\ServerWMLog.csv on the computer running Windows Media Load Simulator, where Server is the name of the Windows Media server that is being load-tested. For more information, see To log load-test results.

The following performance counters are logged.

Object | Counter | Definition
Windows Media Unicast Service | Authentications Denied | The number of times clients are denied access to unicast content by authentication plug-ins. Clients are denied access by an authentication plug-in when their IDs cannot be verified, no user accounts exist, or the authentication plug-in is not working.
Windows Media Unicast Service | Authorizations Refused | The number of times clients are denied access to unicast content by authorization plug-ins. Authorization plug-ins deny access to clients based on their function. For example, a billing plug-in may deny access to unicast content if the user account contains insufficient funds.
Windows Media Unicast Service | Late Reads | The number of late-read completions per second.
Windows Media Unicast Service | PlugIn Errors | The number of times plug-ins failed to perform their function. For example, a plug-in couldn’t reach its user database, the plug-in crashed, and so on.
Windows Media Unicast Service | Stream Errors | The cumulative number of errors occurring per second. A stream error is always logged for the first entry, which allows the e-mail address of the user to be recorded in the Windows Media Load Simulator log file.
Windows Media Unicast Service | Stream Terminations | The rate at which streams are terminated due to errors.
Windows Media Unicast Service | Pending Connections | The number of clients attempting to connect to the server but that have not yet been connected. This number may be high if the server is running near maximum capacity and cannot process a large number of connection requests in a timely manner.
Processor | % Processor Time | Percentage of time that a processor is busy performing useful work, such as processing client requests for streams.
Memory | Available Bytes | The amount of virtual memory available for to use.

Warnings in a Performance Monitor log file

Windows NT Performance Monitor can generate warnings in the log file when conditions warrant it. Warnings appear in the log file in the following format:

<Date & Time>, <Counter>, <Warning Text>, <Condition>, <Recommendation>,
<Counter Value>

For example, if Available Bytes is less than 4194305 bytes over three consecutive intervals, the following warning appears in the log file:

<Thu May 13 12:35:16 1999>, <Memory/Available Bytes>, <Server is
paging, which reduces performance.>, <If this counter is less than
4194305 bytes (4 MB plus one additional byte), this indicates that the
system is paging. A Windows Media server should never use more memory
than is installed in the system, as any paging will impact real-time
performance.>, <Reduce the amount of memory required or add additional
memory to the server.>, <3>

Warnings can appear in the log file when any of the following conditions are met:

Warning condition | Most likely causes
Authentications Denied increase over three consecutive intervals. | The database that stores authentication information cannot be accessed.
Authorizations Refused increase over three consecutive intervals. | Either the database that stores authorization information cannot be accessed or an unauthorized user is attempting to access the server.
Late Reads is non-zero for any interval. | The server is overloaded, causing a disk I/O problem.
PlugIn Errors increase from one interval to the next interval. | A problem with a server plug-in is affecting server performance.
Stream Errors increase from one interval to the next interval. | A problem exists with the streaming media file or a simulated client connection.
Stream Terminations increase for three consecutive intervals. | A problem exists with the streaming media file or a simulated client connection.
Pending Connections increase for three consecutive intervals. | The server is at or near capacity.
% Processor Time is greater than 50 percent for three consecutive intervals. | The system is overloaded. The disk might not be fast enough for the system.
Available Bytes is less than 4194305 bytes (4 MB plus one byte) for three consecutive intervals. | The server is paging, which reduces performance.


Editing load-test configuration settings

The information in a Windows Media Load Simulator projects file can be edited in any text editor, such as Microsoft Notepad. You can save an edited .bts file with a new filename. Windows Media Load Simulator opens the new projects file and runs the test with the updated information. For instructions about how to launch a load simulator project file, see Running a saved load-test configuration.

Important Note Windows Media Load Simulator will not run if you edit any information in this file incorrectly.

A Windows Media Load Simulator project file stores the following test configuration parameters:

Parameter | Definition | Sample value
DefaultServer | Windows Media server to be load-tested. | Zanzibar
BrowseClients | Number of Browse clients to simulate. | 1
RandomBitRateClients | Number of Random Bit Rate clients to simulate. | 0
PlayClients | Number of Play clients to simulate. | 1
SeekClients | Number of Seek clients to simulate. | 1
OpenCloseClients | Number of Open/Close clients to simulate. | 1
FixedBitRateClients | Number of Fixed Bit Rate clients to simulate. | 0
BPS | The bit rate value for a simulated Fixed Bit Rate client in bytes per second. | 0
ListUsage | Stream assignment method to simulated clients (random or sequential). | sequential
Duration | Load-test duration (in seconds). | 600
ErrorLimit | Number of load-test errors that are accommodated before the load-test is suspended. | 100
EnableLogging | Windows Media Load Simulator logging enabled (1) or disabled (0). | 1
EnablePerfmonLogging | Performance Monitor logging enabled (1) or disabled (0). | 1
WMLogFile | Storage location of the Windows Media Load Simulator log file, if EnableLogging is enabled. | C:\Program Files\Windows Media Components \WMLoad \ZanzibarWMLog.csv
PerfmonLogFile | Storage location of the Performance Monitor log file, if EnablePerfmonLogging is enabled. | C:\Program Files\Windows Media Components \WMLoad \ZanzibarPerformance.csv
PerfmonUpdateRate | Frequency that performance counters are recorded in the Performance Monitor log file if EnablePerfmonLogging is enabled. | 5
EnforceMaxConnectRate | Simulated client maximum connection rate to the server enabled (1) or disabled (0). | 0
MaxConnectRate | Maximum rate that simulated clients can connect to the server (in clients per second) if EnforceMaxConnectRate is enabled. | 0
SimulateUsers | Test Server Authentication enabled (1) or disabled (0). | 1
FirstUser | ID for the first user to be authenticated if Test Server Authentication is enabled. The ID is appended to User to form the user name UserFirstUser, for example, User1. | 1 (The user name for the first user to be authenticated is User1.)
LastUser | Number of users to be authenticated when Test Server Authentication is enabled, beginning with UserFirstUser and ending with UserLastUser. | 4 (The user names for the users to be authenticated range from User1 to User4.)
[Streams] | Stream source on the server that simulated clients will connect to. Up to 15 streams can appear in the list. | mms://Zanzibar /anthem.mp3


Running a saved load-test configuration

You can launch Windows Media Load Simulator with the test configuration saved in the .bts file in three ways:

  • In Windows Media Load Simulator, on the File menu, click Open, and then open the .bts file.

  • Double-click the .bts file in Windows NT Explorer.

  • Run the saved test configuration from the DOS command line. For more information, see Running Windows Media Load Simulator from the command line.


Running Windows Media Load Simulator from the command line

Windows Media Load Simulator can be run from the command line, using pre-existing test configuration settings that are saved in a Windows Media Load Simulator projects file (a .bts file). For more information, see Saving your load-test configuration.

To run the load simulator from the command line, open MS-DOS Prompt and then choose the directory where Windows Media Load Simulator is installed. The following command-line functionality is provided with Windows Media Load Simulator.

At the Command Prompt, type: | Result
WMLoad | Windows Media Load Simulator opens.
WMLoad file.bts /g | Windows Media Load Simulator opens and then runs a load test using test parameter configuration settings you saved in file.bts (where file is the filename of the load simulator projects file).
WMLoad file.bts /g /s | Windows Media Load Simulator opens, runs the load test saved in file.bts, and then closes after the test is completed. If the test duration is set to run indefinitely and not to stop after a number of errors, Windows Media Load Simulator will not exit.


Accessibility Appendix

Microsoft is committed to making its products and services easier for everyone to use. This appendix provides information about the following features, products and services, which make Microsoft Windows and Microsoft Windows Media Load Simulator more accessible for people with disabilities:

  • Features and hints for customizing Windows

  • Microsoft services for people who are deaf or hard-of-hearing

  • Microsoft software documentation online, or on audio cassette, floppy disk, or compact disc (CD)

  • Third-party utilities to enhance accessibility

  • Other products and services for people with disabilities

Note The information in this appendix applies only if you acquired this Microsoft product in the United States. If you acquired Windows outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this appendix are available in your area.


Customizing Windows

There are many ways you can customize Microsoft Windows to make your computer more accessible.

  • Beginning with Windows 95, accessibility features are built into Windows. These features are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during setup, or you can add them later from your Windows installation disks. Look up “accessibility” in the Windows HTMLHelp Index for information about installing and using these features.

  • You can also use Control Panel and other built-in features to adjust the appearance and behavior of Windows to suit varying vision and motor abilities. These include adjusting colors and sizes, sound volume, and the behavior of the mouse and keyboard.

  • Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard “QWERTY” layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

The specific features available, and whether they are built-in or must be obtained separately, depend on which operating system you are using.

For full documentation on the accessibility features available in the operating system you are using, obtain the appropriate application notes listed below. Accessibility features are also documented in the Microsoft Windows NT Resource Kit.


Microsoft services for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TT/TDD) service.

Sales information

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Support Network on a text telephone at (425) 635-4948 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to Microsoft prices, terms, and conditions in place at the time the service is used.


Microsoft documentation in alternative formats

In addition to the standard forms of documentation, many Microsoft products are also available in other formats to make them more accessible.

If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. Recording for the Blind & Dyslexic distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The Recording for the Blind & Dyslexic collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. You can contact Recording for the Blind & Dyslexic at the following address or phone numbers for information about eligibility and availability of Microsoft product documentation and books from Microsoft Press:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone: (609) 452-0606
Fax: (609) 987-8116
WWW: http://www.rfbd.org/


Third-party utilities to enhance accessibility

A wide variety of third-party hardware and software products are available to make it easier to use personal computers. Among the different types of products available for the MS-DOS and Microsoft Windows operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.

  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.

  • Hardware and software utilities that modify the behavior of the mouse and keyboard.

  • Programs that enable people to “type” using a mouse or their voice.

  • Word or phrase prediction software that enables people to type more quickly and with fewer keystrokes.

  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

To learn more about these products, see Getting more accessibility information.


Getting more accessibility information

In addition to the features and resources already described in this appendix, other products, services, and resources are available from Microsoft and other organizations.

Additional Microsoft products and services for people with disabilities

For more information for people with disabilities, contact:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393

World Wide Web: http://www.microsoft.com/
Voice telephone: (800) 426-9400
Text telephone: (800) 892-5234

Directories of computer products for people with disabilities

The Trace R&D Center at the University of Wisconsin-Madison produces a book and a compact disc (CD) that describe products that help people with disabilities use computers. The book, titled Trace ResourceBook, provides descriptions and photographs of about 2,000 products. The CD, titled CO-NET CD, provides a database of more than 18,000 products and other information for people with disabilities. It is issued twice a year.

To obtain these directories, contact:

Trace R&D Center
University of Wisconsin
S-151 Waisman Center
1500 Highland Avenue
Madison, WI 53705-2280

World Wide Web: http://trace.wisc.edu/
Fax: (608) 262-8848


Assistive technology programs for people with disabilities

For general information and recommendations on how computers can help specific needs, you should consult a trained evaluator. An assistive technology program in your area will provide referrals to programs and services that are available to you.

To locate the assistive technology program nearest you, contact:

National Information System
University of South Carolina
Center for Developmental Disabilities
Columbia, SC 29208

Voice/text telephone: (803) 935-5231
Fax: (803) 935-5059


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Ó 1996-1999 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, MS, Windows, Windows Media, Windows NT, ActiveX, FrontPage, JScript, Microsoft Press, NetShow, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Win32 and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

RealAudio and RealVideo are registered trademarks of RealNetworks Corporation.

QuickTime and QuickTime VR are registered trademarks of Apple Corporation.

Premiere is a registered trademark of Adobe Corporation.

Other product and company names mentioned herein may be the trademarks of their respective owners.

The following statements apply only to the Python Language runtime:

Copyright © 1991-1995 by Stichting Mathematisch Centrum, Amsterdam, The Netherlands. All Rights Reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the names of Stichting Mathematisch Centrum or CWI not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.


Setting up the Windows Media server for load-testing

The Windows Media server must be enabled for load-testing before you can run Windows Media Load Simulator against it. When you start Load Simulator, it looks for a valid .asf file named WMLoad.asf in the home publishing point (usually SystemDrive\ASFRoot) on the Windows Media Server that you want to test. You can create a WMLoad.asf file with Windows Media Encoder or Windows Media On-Demand Producer, or you can rename one of the existing .asf files in the ASFRoot folder to WMLoad.asf. Load Simulator cannot access the Windows Media server if this file is not present.

Related Topics

  • Load Simulator security features